Bug 1244237 - Add python3-yubico subpackage
Summary: Add python3-yubico subpackage
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-yubico
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-17 14:20 UTC by Miro Hrončok
Modified: 2015-07-26 22:19 UTC (History)
3 users (show)

Fixed In Version: python-yubico-1.2.3-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-26 22:19:37 UTC
Type: Bug


Attachments (Terms of Use)
Patch adding upstream patches to new python3 subpackage (110.34 KB, patch)
2015-07-20 09:05 UTC, Miro Hrončok
no flags Details | Diff

Description Miro Hrončok 2015-07-17 14:20:05 UTC
Support for Python 3 have been added to yubico [1].

Could you please introduce a Python 3 subpackage for it in Fedora? We need this for our system wide change to only have Python 3 on default installs [2].

If you don't have time/resources to do it, I can do it myself, let me know.

[1] https://github.com/Yubico/python-yubico/pull/20
[2] https://fedoraproject.org/wiki/Changes/Python_3_as_Default

Comment 1 Miro Hrončok 2015-07-20 09:05:53 UTC
Created attachment 1053790 [details]
Patch adding upstream patches to new python3 subpackage

This is a patch for distgit adding the patches from usptream and introducing python3 subpackage. I've made it so the patches are only applied on the python3 subpackage and therefore they cannot break the python2 package.

Comment 2 Miro Hrončok 2015-07-23 08:36:56 UTC
Koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=10447273

The Alpha freeze is on Tuesday, so if you don't have anything against it, I'll push this to rawhide and f23 before then.


Note You need to log in before you can comment on or make changes to this bug.